

def parse_string(cfg):
    lines = cfg.split("\n")
    yield from parse_lines(lines)


def parse_file(fn):
    with open(fn) as f:
        yield from parse_lines(f)


def parse_lines(lines):
    for line in lines:
        line = remove_comments(line)
        line = line.strip()
        if not line:
            continue
        yield line


def remove_comments(line):
    return line.split("#", 1)[0]



